Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class BugSearcher

    java.lang.Object
      com.knowgate.lucene.BugSearcher

    public class BugSearcher

extends java.lang.Object

Search into a Lucene full text index for bugs

Constructor Summary
`BugSearcher()`

Method Summary
`static java.lang.String` | `escape(java.lang.String sInput)` Escape special characters from a Lucene query
`static BugRecord[]` | `search(java.lang.String sLuceneIndexPath, java.lang.String sWorkArea, java.lang.String sProjectGUID, java.lang.String sReportedBy, java.lang.String sWrittenBy, java.lang.String sTitle, java.util.Date dtFromDate, java.util.Date dtToDate, java.lang.String sType, java.lang.String sPriority, java.lang.String sSeverity, java.lang.String sStatus, java.lang.String sText, java.lang.String sComments, int iLimit, java.util.Comparator oSortBy)` Compose a Lucene query based on given parameters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BugSearcher

    public BugSearcher()

Method Detail

### search

    public static BugRecord[] search(java.lang.String sLuceneIndexPath,
                                     java.lang.String sWorkArea,
                                     java.lang.String sProjectGUID,
                                     java.lang.String sReportedBy,
                                     java.lang.String sWrittenBy,
                                     java.lang.String sTitle,
                                     java.util.Date dtFromDate,
                                     java.util.Date dtToDate,
                                     java.lang.String sType,
                                     java.lang.String sPriority,
                                     java.lang.String sSeverity,
                                     java.lang.String sStatus,
                                     java.lang.String sText,
                                     java.lang.String sComments,
                                     int iLimit,
                                     java.util.Comparator oSortBy)
                              throws ParseException,
                                     java.io.IOException,
                                     java.lang.NullPointerException

  Compose a Lucene query based on given parameters

  Parameters:
    `sLuceneIndexPath` - String Base path for Lucene indexes excluding WorkArea and table name
    `sWorkArea` - String GUID of WorkArea to be searched, cannot be null
    `sProject` - String GUID f project to which bug belongs
    `sReportedBy` - String
    `sWrittenBy` - String
    `sTitle` - String
    `sFromDate` - String
    `sToDate` - String
    `sType` - String
    `sPriority` - String
    `sSeverity` - String
    `sStatus` - String
    `sText` - String
    `sComments` - String
    `iLimit` - int
    `oSortBy` - Comparator
  Returns:
    BugRecord[]
  Throws:
    `ParseException`
    `java.io.IOException`
    `java.lang.NullPointerException`

### escape

    public static java.lang.String escape(java.lang.String sInput)

  Escape special characters from a Lucene query

  Returns:
    The input string with any character of set +-&|!(){}[]^"~*?:\ be preceded by a backslash

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD